import { jsx } from "react/jsx-runtime";
import { FileCsvIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileCsv = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "FileCsv", ...props, children: /* @__PURE__ */ jsx(FileCsvIcon, { weight: variant }) });
  }
);
FileCsv.displayName = "FileCsv";
Object.assign(FileCsv, { isGdsIcon: true });
export {
  FileCsv
};
